"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e7863a0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e786430>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e7864c0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e786550>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e7865e0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e786670>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e786700>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e786790>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e786820>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e7868b0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e786940>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e7869d0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e786a60>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e786af0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e786b80>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e786c10>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e786ca0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e786d30>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e786dc0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e786e50>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e786ee0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e786f70>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78e040>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78e0d0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78e1f0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78e160>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78e280>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78e310>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78e3a0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78e430>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78e4c0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78e550>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78e5e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78e670>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78e700>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78e790>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78e820>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78e8b0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78e940>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78e9d0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78ea60>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78eaf0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78eb80>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78ec10>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78eca0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78ed30>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78edc0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78ee50>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78eee0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e78ef70>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792040>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e7920d0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792160>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e7921f0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792280>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792310>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e7923a0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792430>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e7924c0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792550>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e7925e0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792670>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792700>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792790>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792820>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e7929d0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e7928b0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792a60>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792af0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792b80>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792c10>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792ca0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792dc0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792d30>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792e50>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792ee0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e792f70>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e7940d0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e794040>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e794160>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e7941f0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e794280>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e794310>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e7943a0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fa93e794430>)]
name: str = 'fr_HOCCN'
